* {
  webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  font-family: system-ui, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  margin: 0;
  padding: 0;
}
:root {
  --primarycolor: #198754;
  --whitecolor: white;
  --blackcolor: black;
}
.mynav {
  display: flex;
  justify-content: space-around;
  width: 800px;
  margin: auto;
  align-items: center;
  gap: 60px;
  color: white;
}
nav {
  z-index: 100;
  background-color: var(--blackcolor);
}

.mynav-link {
  width: 200px;
}

#landingpage,
#services,
#skills,
#about {
  background-image: linear-gradient(rgba(0, 0, 0, 0.9), #0000007a);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  color: white;
  background-attachment: fixed;
}

.writeup {
  padding-top: 100px;
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 1300px;
  margin: auto;
 
}

.nav-img {
  width: 600px;
  height: 500px;
  object-fit: cover;
  object-position: top;
  
}

@keyframes shake {
  0% { transform: translate(1px, 1px) rotate(0deg); }
  10% { transform: translate(-1px, -2px) rotate(-1deg); }
  20% { transform: translate(-3px, 0px) rotate(1deg); }
  30% { transform: translate(3px, 2px) rotate(0deg); }
  40% { transform: translate(1px, -1px) rotate(1deg); }
  50% { transform: translate(-1px, 2px) rotate(-1deg); }
  60% { transform: translate(-3px, 1px) rotate(0deg); }
  70% { transform: translate(3px, 1px) rotate(-1deg); }
  80% { transform: translate(-1px, -1px) rotate(1deg); }
  90% { transform: translate(1px, 2px) rotate(0deg); }
  100% { transform: translate(1px, -2px) rotate(-1deg); }
}

.writeup-inner h1 {
  font-size: 4em;
  color: var(--primarycolor);
  animation: shake 6.5s;

  /* When the animation is finished, start again */
  animation-iteration-count: infinite;
}

.ptag {
  font-size: 2em;
  line-height: 0px;
}

#about,
#skills,
#services,
#projects,
#contacts {
  background-image: linear-gradient(rgba(0, 0, 0, 0.9), #0000007a);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  color: white;
  background-attachment: fixed;
  padding-top: 40px;
}

.abt-desc {
  width: 800px;
}
.about-img {
  width: 400px;
  height: 400px;
  border-radius: 100%;
  object-fit: cover;
}

.about-div {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 1300px;
  margin: auto;
  padding-top: 40px;
}
#about h1 {
  text-align: center;
  background-color: black;
  padding: 6px;
}

#about a {
  text-decoration: none;
  color: var(--blackcolor);
  padding-left: 8px;
  font-size: 1.5em;
}

.skills-desc,
.services-desc {
  text-align: center;
  background-color: black;
  padding: 6px;
  color: var(--whitecolor);
}

.progress {
  background-color: var(--blackcolor);
}

#skills-div {
  display: flex;
  width: 1300px;
  margin: auto;
  align-items: center;
  justify-content: space-around;
  padding-top: 30px;
}

.skills-icons {
  font-size: 4em;
  color: var(--blackcolor);
  text-align: center;
}

.skill {
  align-items: center;
  width: 300px;
}

.services-icons-div {
  display: flex;
  width: 1300px;
  margin: auto;
  margin-top: 20px;
  flex-wrap: wrap;
}

.services-display {
  display: flex;
  gap: 40px;
  width: 600px;
  margin-bottom: 50px;
  justify-content: space-around;
  align-items: center;
  margin-right: 50px;
}

.div-icon {
  border: 2px solid #198754;
  width: 200px;
  height: 100px;
  text-align: center;
}

.div-icon:hover {
    transform: scale(1.2);
  }

.services-icon {
  font-size: 5em;
  padding: 6px;
  height: 10px;
  color: var(--blackcolor);
}

.contact-desc {
  background-color: var(--blackcolor);
  color: var(--whitecolor);
  padding: 6px;
  text-align: center;
}

.card-body {
  color: var(--blackcolor);
  line-height: 0;
}

.projects-div {
  display: flex;
  flex-wrap: wrap;
  gap: 40px;
  align-items: center;
  justify-content: space-around;
  padding-top: 5px;
  width: 1300px;
  margin: auto;
}

.card {
  width: 20rem;
  padding-top: 30px;
}

.card:hover{
    transform: scale(1.05);
}

.modal-body,
.modal-title {
  color: var(--blackcolor);
}

#footer {
  background-color: var(--blackcolor);
  padding-top: 40px;
  color: var(--whitecolor);
  padding-bottom: 4px;
}

.footer-line {
  border-top: 2px solid #198754;
}

.footer-writeup {
  text-align: center;
}

#footer a {
  text-decoration: none;
  font-size: 1em;
  color: var(--blackcolor);
  background-color: var(--primarycolor);
  border-radius: 50%;
  padding: 8px;
  text-align: center;
  margin-left: 15px;
}

.footer-anchor {
  margin-top: 20px;
}

.footer-ptags {
  margin-top: 30px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 30px;
  margin-bottom: 20px;
}

.footer-ptags div {
  border-right: 2px solid #198754;
}

.footer-ptags p {
  margin-right: 15px;
}

/* // Large devices (desktops, less than 1200px) */
@media (min-width: 1199.98px) {
  .mynav {
    width: 800px;
    gap: 40px;
  }

  .writeup {
    width: 1100px;
  }

  .writeup-inner h1 {
    font-size: 4em;
    color: #5cb85c;
  }

  .nav-img {
    width: 400px;
    height: 400px;
  }

  .about-div {
    width: 1100px;
  }
  .abt-desc {
    width: 600px;
  }

  .services-icons-div {
    display: flex;
    width: 1100px;
    margin: auto;
    margin-top: 20px;
    flex-wrap: wrap;
  }

  .services-display {
    display: flex;
    gap: 20px;
    width: 500px;
    margin-bottom: 50px;
    justify-content: space-around;
    align-items: center;
    margin-right: 50px;
  }

  .div-icon {
    border: 2px solid #198754;
    width: 200px;
    height: 100px;
    text-align: center;
  }

  .div-icon:hover {
    transform: scale(1.2);
  }

  .services-icon {
    font-size: 5em;
    padding: 6px;
    height: 10px;
    color: var(--blackcolor);
  }

  .projects-div {
    display: flex;
    flex-wrap: wrap;
    gap: 30px;
    align-items: center;
    justify-content: space-around;
    margin-top: 5px;
    width: 1100px;
    margin: auto;
  }
}

/* // Medium devices (tablets, less than 1023px) */
@media (max-width: 1024.98px) {
  .mynav {
    display: flex;
    justify-content: space-around;
    width: 800px;
    margin: auto;
    align-items: center;
    gap: 40px;
    color: white;
  }

  .writeup {
    width: 900px;
    gap: 30px;
  }

  .nav-img {
    width: 400px;
    height: 400px;
    object-fit: cover;
    object-position: top;
  }

  .writeup-inner h1 {
    font-size: 4em;
    color: var(--primarycolor);
  }

  .ptag {
    font-size: 2em;
    line-height: 0px;
  }

  .abt-desc {
    width: 600px;
  }
  .about-img {
    width: 400px;
    height: 400px;
    border-radius: 100%;
    object-fit: cover;
  }

  .about-div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 900px;
    margin: auto;
    padding-top: 40px;
    gap: 40px;
  }
  #about h1 {
    text-align: center;
    background-color: black;
    padding: 6px;
  }

  #about a {
    text-decoration: none;
    color: var(--blackcolor);
    padding-left: 8px;
    font-size: 1.5em;
  }

  .skills-desc,
  .services-desc {
    text-align: center;
    background-color: black;
    padding: 6px;
    color: var(--whitecolor);
  }

  .progress {
    background-color: var(--blackcolor);
  }

  #skills-div {
    display: flex;
    width: 900px;
  }

  .skill {
    align-items: center;
    width: 200px;
  }

  .services-icons-div {
    display: flex;
    width: 900px;
    margin: auto;
    margin-top: 20px;
    flex-wrap: wrap;
  }

  .services-display {
    display: flex;
    gap: 20px;
    width: 400px;
    margin-bottom: 50px;
    justify-content: space-around;
    align-items: center;
    margin-right: 30px;
  }

  .div-icon {
    border: 2px solid #198754;
    width: 200px;
    height: 100px;
    text-align: center;
  }

  .div-icon:hover {
    transform: scale(1.2);
  }

  .services-icon {
    font-size: 5em;
    padding: 6px;
    height: 10px;
    color: var(--blackcolor);
  }

  .projects-div {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    align-items: center;
    justify-content: space-around;
    margin-top: 5px;
    width: 1000px;
    margin: auto;
  }
  .card {
    width: 18rem;
    margin-top: 30px;
  }
}

/* // Medium devices (tablets, less than 992px) */
@media (max-width: 991.98px) {
  .mynav {
    display: flex;
    justify-content: space-around;
    width: 900px;
    margin: auto;
    align-items: center;
    gap: 40px;
    color: white;
  }
  nav {
    z-index: 100;
    background-color: var(--blackcolor);
  }

  .mynav-link {
    display: none;
  }

  .writeup {
    padding-top: 100px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 700px;
    margin: auto;
    gap: 10px;
  }

  .nav-img {
    width: 400px;
    height: 500px;
    object-fit: cover;
    object-position: top;
  }

  .writeup-inner h1 {
    font-size: 3.5em;
    color: var(--primarycolor);
  }

  .ptag {
    font-size: 2em;
    line-height: 0px;
  }

  .abt-desc {
    width: 500px;
    margin-right: 20px;
  }
  .about-img {
    width: 400px;
    height: 400px;
    border-radius: 100%;
    object-fit: cover;
    margin-left: 20px;
  }

  .about-div {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 900px;
    margin: auto;
    padding-top: 40px;
    gap: 40px;
  }
  #about h1 {
    text-align: center;
    background-color: black;
    padding: 6px;
    width: 90%;
    margin-left: 40px;
  }

  #about a {
    text-decoration: none;
    color: var(--blackcolor);
    padding-left: 8px;
    font-size: 1.5em;
  }

  .skills-desc,
  .services-desc {
    text-align: center;
    background-color: black;
    padding: 6px;
    color: var(--whitecolor);
    width: 90%;
    margin-left: 40px;
  }

  .progress {
    background-color: var(--blackcolor);
  }

  #skills-div {
    display: flex;
    width: 900px;
    margin: auto;
    align-items: center;
    justify-content: space-around;
    padding-top: 30px;
  }

  .skills-icons {
    font-size: 4em;
    color: var(--blackcolor);
    text-align: center;
  }

  .skill {
    align-items: center;
    width: 200px;
  }

  .services-icons-div {
    display: flex;
    width: 900px;
    margin: auto;
    margin-top: 20px;
    flex-wrap: wrap;
  }

  .services-display {
    display: flex;
    flex-direction: column;
    gap: 20px;
    width: 400px;
    margin-bottom: 30px;
    justify-content: space-around;
    align-items: center;
    margin-right: 20px;
  }

  .div-icon {
    border: 2px solid #198754;
    width: 200px;
    height: 100px;
    text-align: center;
  }

  .div-icon:hover {
    transform: scale(1.2);
  }

  .services-icon {
    font-size: 5em;
    padding: 6px;
    height: 10px;
    color: var(--blackcolor);
  }

  .services-writeup {
    text-align: center;
    width: 300px;
  }

  .projects-div {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    align-items: center;
    justify-content: center;
    margin-top: 5px;
    width: 800px;
    margin: auto;
  }

  .card {
    width: 20rem;
    margin-top: 30px;
  }
}

@media (max-width: 768.98px) {
  .projects-div {
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    align-items: center;
    justify-content: center;
    margin-top: 5px;
    width: 600px;
    margin: auto;
  }

  .card {
    width: 18rem;
    margin-top: 30px;
  }

  .services-display {
    display: flex;
    flex-direction: column;
    gap: 5px;
    width: 350px;
    margin-bottom: 30px;
    justify-content: space-around;
    align-items: center;
    margin-right: 0px;
  }
}

/* // Small devices (landscape phones, less than 768px) */
@media (max-width: 767.98px) {
  .mynav {
    display: flex;
    justify-content: space-around;
    width: 350px;
    margin: 0;
    align-items: flex-start;
    gap: 10px;
    color: white;
  }

  nav {
    z-index: 100;
    background-color: black;
  }

  .mynav-link {
    display: none;
  }

  .writeup {
    padding-top: 100px;
    display: block;
    width: 320px;
    margin: auto;
  }

  .nav-img {
    width: 320px;
    height: 300px;
  }

  .writeup-inner h1 {
    font-size: 3em;
  }

  .ptag {
    font-size: 1em;
    line-height: 0px;
  }

  .abt-desc {
    width: 320px;
    margin-top: 20px;
  }
  .about-img {
    width: 280px;
    height: 280px;
    border-radius: 100%;
    object-fit: cover;
  }

  .about-div {
    display: block;
    width: 320px;
    margin: auto;
    padding-top: 40px;
  }
  #about h1 {
    text-align: center;
    background-color: black;
    padding: 6px;
    width: 80%;
    margin-left: 30px;
  }

  #about a {
    text-decoration: none;
    color: var(--blackcolor);
    padding-left: 8px;
    font-size: 1.5em;
  }

  .skills-desc,
  .services-desc {
    text-align: center;
    background-color: black;
    padding: 6px;
    color: var(--whitecolor);
    width: 85%;
    margin-left: 30px;
  }

  .progress {
    background-color: var(--blackcolor);
  }

  #skills-div {
    display: block;
    width: 320px;
    margin: auto;
    align-items: center;
    justify-content: space-around;
    padding-top: 30px;
  }

  .skills-icons {
    font-size: 4em;
    color: var(--blackcolor);
    text-align: center;
  }

  .skill {
    align-items: center;
    width: 300px;
  }

  .services-icons-div {
    display: block;

    width: 320px;
    margin: auto;
    margin-top: 20px;
    flex-wrap: wrap;
  }

  .services-display {
    display: flex;
    flex-direction: column;
    gap: 10px;
    width: 300px;
    margin-bottom: 20px;
    justify-content: center;
    align-items: center;
    margin-right: 0px;
  }

  .services-writeup {
    text-align: center;
  }

  .div-icon {
    border: 2px solid #198754;
    width: 150px;
    height: 100px;
    text-align: center;
  }

  .div-icon:hover {
    transform: scale(0);
  }

  .services-icon {
    font-size: 4em;
    padding: 6px;
    height: 10px;
    color: var(--blackcolor);
  }

  .projects-div {
    display: block;
    flex-wrap: wrap;
    gap: 40px;
    align-items: center;
    justify-content: space-around;
    padding-top: 5px;
    width: 320px;
    margin: auto;
  }

  .card {
    width: 20rem;
    padding-top: 30px;
  }

  .modal-body,
  .modal-title {
    color: var(--blackcolor);
  }

  #footer {
    background-color: var(--blackcolor);
    padding-top: 40px;
    color: var(--whitecolor);
    padding-bottom: 4px;
  }

  .footer-line {
    border-top: 2px solid #198754;
  }

  .footer-writeup {
    text-align: center;
    width: 320px;
    margin: auto;
  }

  #footer a {
    text-decoration: none;
    font-size: 1em;
    color: var(--blackcolor);
    background-color: var(--primarycolor);
    border-radius: 50%;
    padding: 8px;
    text-align: center;
    margin-left: 15px;
  }

  .footer-anchor {
    margin-top: 20px;
  }

  .footer-ptags {
    margin-top: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 30px;
    margin-bottom: 20px;
  }

  .footer-ptags div {
    border-right: 2px solid #198754;
    width: 60px;
    height: 50px;
  }

  .footer-ptags p {
    margin-right: 15px;
  }
}
